/****************************************************************************
**
** Copyright (C) 2008 Trolltech ASA. All rights reserved.
**
** This file is part of the documentation of Qt. It was originally
** published as part of Qt Quarterly.
**
** This file may be used under the terms of the GNU General Public License
** version 2.0 or 3.0 as published by the Free Software Foundation or under
** the terms of the Qt Commercial License Agreement. The respective license
** texts for these are provided with the open source and commercial
** editions of Qt. In addition, as a special exception, Trolltech
** gives you certain additional rights. These rights are described in the
** Trolltech GPL Exception version 1.2, which can be found at
** http://www.trolltech.com/products/qt/gplexception/ and in the file
** GPL_EXCEPTION.txt in the package for the open source edition of Qt.
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided "AS IS" with NO WARRANTY OF ANY KIND,
** INCLUDING THE WARRANTIES OF DESIGN, MERCHANTABILITY AND FITNESS FOR
** A PARTICULAR PURPOSE. Trolltech reserves all rights not expressly
** granted herein.
**
****************************************************************************/

#include <QFile>
#include <QWebView>
#include "csvfactory.h"
#include "mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    QWebSettings::globalSettings()->setAttribute(
        QWebSettings::PluginsEnabled, true);

    QWebView *webView = new QWebView;
    CSVFactory *factory = new CSVFactory(webView, this);
    webView->page()->setPluginFactory(factory);
    QFile file(":/pages/index.html");
    file.open(QFile::ReadOnly);
    webView->setHtml(file.readAll());

    setCentralWidget(webView);
    setWindowTitle(tr("Web Plugin Example"));
}
